Continue a Brand Edit
curl --request POST \
--url https://www.trybloom.ai/api/v1/brands/{id}/edits/{editId}/interactions/{interactionId}/responses \
--header 'Content-Type: application/json' \
--header 'idempotency-key: <idempotency-key>' \
--header 'x-api-key: <api-key>' \
--data '
{
"response": {
"kind": "selection",
"optionId": "<string>"
}
}
'import requests
url = "https://www.trybloom.ai/api/v1/brands/{id}/edits/{editId}/interactions/{interactionId}/responses"
payload = { "response": {
"kind": "selection",
"optionId": "<string>"
} }
headers = {
"idempotency-key": "<idempotency-key>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'idempotency-key': '<idempotency-key>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({response: {kind: 'selection', optionId: '<string>'}})
};
fetch('https://www.trybloom.ai/api/v1/brands/{id}/edits/{editId}/interactions/{interactionId}/responses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"brandId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "preparing",
"baseSkillId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target": {
"skillId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"changeSet": {
"schemaVersion": 2,
"baseSkillId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"targetSkillId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"profileChanges": [
{
"kind": "field",
"path": "<string>",
"operation": "add",
"previous": "<string>",
"next": "<string>"
}
],
"markdownChanges": [
{
"path": "<string>",
"operation": "add",
"additions": 4503599627370495,
"deletions": 4503599627370495,
"hunks": [
{
"oldStart": 4503599627370495,
"oldLines": 4503599627370495,
"newStart": 4503599627370495,
"newLines": 4503599627370495,
"lines": [
{
"kind": "context",
"text": "<string>",
"noNewlineAtEndOfFile": true
}
]
}
],
"truncated": true
}
],
"assetChanges": [
{
"kind": "asset",
"role": "primary_logo",
"operation": "add",
"previousAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"nextAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"targetProfile": {
"name": "<string>",
"primaryLogo": {
"imageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"colors": [
{
"hex": "<string>"
}
],
"typography": {
"heading": {
"source": "google",
"family": "<string>"
},
"body": {
"source": "google",
"family": "<string>"
}
}
},
"interaction": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject": "<string>",
"prompt": "<string>",
"kind": "clarification",
"accepts": {
"text": {
"required": false,
"minLength": 1,
"maxLength": 10000
},
"images": {
"max": 0,
"min": 0
},
"sources": {
"max": 0,
"min": 0
}
}
},
"replacement": {
"replacesEditId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"replacedByEditId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discardReason": "explicit"
},
"changeSummary": "<string>",
"statusMessage": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "INVALID_RESPONSE",
"status": 400,
"message": "Invalid Brand Edit interaction response",
"data": "<unknown>"
}
}{
"error": {
"code": "UNAUTHORIZED",
"status": 401,
"message": "Invalid or missing API credentials",
"data": "<unknown>"
}
}{
"error": {
"code": "ACCOUNT_BANNED",
"status": 403,
"message": "This account has been suspended.",
"data": "<unknown>"
}
}{
"error": {
"code": "BRAND_NOT_FOUND",
"status": 404,
"message": "Brand not found",
"data": "<unknown>"
}
}{
"error": {
"code": "IDEMPOTENCY_CONFLICT",
"status": 409,
"message": "Idempotency-Key was already used with a different request",
"data": "<unknown>"
}
}{
"error": {
"code": "TOO_MANY_REQUESTS",
"status": 429,
"message": "Rate limit exceeded",
"data": "<unknown>"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"status": 500,
"message": "Brand edit request failed",
"data": "<unknown>"
}
}Brands
Continue a Brand Edit
Submit a typed response to the Brand Edit’s current interaction. Requires an Idempotency-Key. Returns 202 as candidate preparation resumes asynchronously; never applies the candidate.
POST
/
brands
/
{id}
/
edits
/
{editId}
/
interactions
/
{interactionId}
/
responses
Continue a Brand Edit
Authorizations
apiKeybearer
Bloom API key, for example x-api-key: bloom_sk_....
Headers
A unique key for this operation. Reuse it when retrying the same request.
Required string length:
1 - 255Path Parameters
Brand ID
Brand edit ID
Current Brand Edit interaction ID
Body
application/json
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes
Was this page helpful?